format_version: '1.0'

repository_url: https://github.com/mruby/mruby

sequence:
  base_version:
    input_file: 'b8461c86.zip'
    commit_sha1: b8461c86817fd2f766746e61e9f93362955a3474
  fix_attempt:
    - input_file: 'ab63ee61.diff'
      commit_sha1: ab63ee61ca2c130907d68d656ff7486ec2d29db8
    - input_file: '6dabb336.diff'
      commit_sha1: 6dabb33635a149fc571cf285352ea4f89bdc52f0
    - input_file: '12f6496f.diff'
      commit_sha1: 12f6496ff8919cd29b0c1850d15170d3bd7e6429
    
  expected_fix:
    input_file: '74712c73.diff'
    commit_sha1: 74712c73ac9471fd388d76b0f12229ec428d5146

  
classification: partial fix
categories:
  - reverted commits
  - crashes

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/mruby/mruby/issues/3547
